Index: python/ext/py-musicutils.h
===================================================================
--- python/ext/py-musicutils.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ python/ext/py-musicutils.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -1,4 +1,4 @@
-#ifndef _PY_AUBIO_MUSICUTILS_H_
-#define _PY_AUBIO_MUSICUTILS_H_
+#ifndef PY_AUBIO_MUSICUTILS_H
+#define PY_AUBIO_MUSICUTILS_H
 
 static char Py_aubio_window_doc[] = ""
@@ -72,3 +72,3 @@
 PyObject * Py_aubio_level_detection(PyObject *self, PyObject *args);
 
-#endif /* _PY_AUBIO_MUSICUTILS_H_ */
+#endif /* PY_AUBIO_MUSICUTILS_H */
Index: src/aubio_priv.h
===================================================================
--- src/aubio_priv.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/aubio_priv.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -25,6 +25,6 @@
  */
 
-#ifndef _AUBIO__PRIV_H
-#define _AUBIO__PRIV_H
+#ifndef AUBIO_PRIV_H
+#define AUBIO_PRIV_H
 
 /*********************
@@ -286,3 +286,3 @@
 #endif
 
-#endif /* _AUBIO__PRIV_H */
+#endif /* AUBIO_PRIV_H */
Index: src/cvec.h
===================================================================
--- src/cvec.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/cvec.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO__CVEC_H
-#define _AUBIO__CVEC_H
+#ifndef AUBIO_CVEC_H
+#define AUBIO_CVEC_H
 
 #ifdef __cplusplus
@@ -235,3 +235,3 @@
 #endif
 
-#endif /* _AUBIO__CVEC_H */
+#endif /* AUBIO_CVEC_H */
Index: src/fmat.h
===================================================================
--- src/fmat.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/fmat.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO__FMAT_H
-#define _AUBIO__FMAT_H
+#ifndef AUBIO_FMAT_H
+#define AUBIO_FMAT_H
 
 #ifdef __cplusplus
@@ -170,3 +170,3 @@
 #endif
 
-#endif /* _AUBIO__FMAT_H */
+#endif /* AUBIO_FMAT_H */
Index: src/fvec.h
===================================================================
--- src/fvec.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/fvec.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO__FVEC_H
-#define _AUBIO__FVEC_H
+#ifndef AUBIO_FVEC_H
+#define AUBIO_FVEC_H
 
 #ifdef __cplusplus
@@ -176,3 +176,3 @@
 #endif
 
-#endif /* _AUBIO__FVEC_H */
+#endif /* AUBIO_FVEC_H */
Index: src/io/audio_unit.h
===================================================================
--- src/io/audio_unit.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/audio_unit.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_AUDIO_UNIT_H
-#define _AUBIO_AUDIO_UNIT_H
+#ifndef AUBIO_AUDIO_UNIT_H
+#define AUBIO_AUDIO_UNIT_H
 
 /** \file
@@ -59,3 +59,3 @@
 #endif
 
-#endif /* _AUBIO_AUDIO_UNIT_H */
+#endif /* AUBIO_AUDIO_UNIT_H */
Index: src/io/sink.h
===================================================================
--- src/io/sink.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/sink.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SINK_H
-#define _AUBIO_SINK_H
+#ifndef AUBIO_SINK_H
+#define AUBIO_SINK_H
 
 /** \file
@@ -179,3 +179,3 @@
 #endif
 
-#endif /* _AUBIO_SINK_H */
+#endif /* AUBIO_SINK_H */
Index: src/io/sink_apple_audio.h
===================================================================
--- src/io/sink_apple_audio.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/sink_apple_audio.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SINK_APPLE_AUDIO_H
-#define _AUBIO_SINK_APPLE_AUDIO_H
+#ifndef AUBIO_SINK_APPLE_AUDIO_H
+#define AUBIO_SINK_APPLE_AUDIO_H
 
 /** \file
@@ -161,3 +161,3 @@
 #endif
 
-#endif /* _AUBIO_SINK_APPLE_AUDIO_H */
+#endif /* AUBIO_SINK_APPLE_AUDIO_H */
Index: src/io/sink_sndfile.h
===================================================================
--- src/io/sink_sndfile.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/sink_sndfile.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SINK_SNDFILE_H
-#define _AUBIO_SINK_SNDFILE_H
+#ifndef AUBIO_SINK_SNDFILE_H
+#define AUBIO_SINK_SNDFILE_H
 
 /** \file
@@ -160,3 +160,3 @@
 #endif
 
-#endif /* _AUBIO_SINK_SNDFILE_H */
+#endif /* AUBIO_SINK_SNDFILE_H */
Index: src/io/sink_wavwrite.h
===================================================================
--- src/io/sink_wavwrite.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/sink_wavwrite.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SINK_WAVWRITE_H
-#define _AUBIO_SINK_WAVWRITE_H
+#ifndef AUBIO_SINK_WAVWRITE_H
+#define AUBIO_SINK_WAVWRITE_H
 
 /** \file
@@ -160,3 +160,3 @@
 #endif
 
-#endif /* _AUBIO_SINK_WAVWRITE_H */
+#endif /* AUBIO_SINK_WAVWRITE_H */
Index: src/io/source.h
===================================================================
--- src/io/source.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/source.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SOURCE_H
-#define _AUBIO_SOURCE_H
+#ifndef AUBIO_SOURCE_H
+#define AUBIO_SOURCE_H
 
 /** \file
@@ -172,3 +172,3 @@
 #endif
 
-#endif /* _AUBIO_SOURCE_H */
+#endif /* AUBIO_SOURCE_H */
Index: src/io/source_apple_audio.h
===================================================================
--- src/io/source_apple_audio.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/source_apple_audio.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SOURCE_APPLE_AUDIO_H
-#define _AUBIO_SOURCE_APPLE_AUDIO_H
+#ifndef AUBIO_SOURCE_APPLE_AUDIO_H
+#define AUBIO_SOURCE_APPLE_AUDIO_H
 
 /** \file
@@ -144,3 +144,3 @@
 #endif
 
-#endif /* _AUBIO_SOURCE_APPLE_AUDIO_H */
+#endif /* AUBIO_SOURCE_APPLE_AUDIO_H */
Index: src/io/source_avcodec.h
===================================================================
--- src/io/source_avcodec.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/source_avcodec.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SOURCE_AVCODEC_H
-#define _AUBIO_SOURCE_AVCODEC_H
+#ifndef AUBIO_SOURCE_AVCODEC_H
+#define AUBIO_SOURCE_AVCODEC_H
 
 /** \file
@@ -143,3 +143,3 @@
 #endif
 
-#endif /* _AUBIO_SOURCE_AVCODEC_H */
+#endif /* AUBIO_SOURCE_AVCODEC_H */
Index: src/io/source_sndfile.h
===================================================================
--- src/io/source_sndfile.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/source_sndfile.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SOURCE_SNDFILE_H
-#define _AUBIO_SOURCE_SNDFILE_H
+#ifndef AUBIO_SOURCE_SNDFILE_H
+#define AUBIO_SOURCE_SNDFILE_H
 
 /** \file
@@ -143,3 +143,3 @@
 #endif
 
-#endif /* _AUBIO_SOURCE_SNDFILE_H */
+#endif /* AUBIO_SOURCE_SNDFILE_H */
Index: src/io/source_wavread.h
===================================================================
--- src/io/source_wavread.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/io/source_wavread.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SOURCE_WAVREAD_H
-#define _AUBIO_SOURCE_WAVREAD_H
+#ifndef AUBIO_SOURCE_WAVREAD_H
+#define AUBIO_SOURCE_WAVREAD_H
 
 /** \file
@@ -148,3 +148,3 @@
 #endif
 
-#endif /* _AUBIO_SOURCE_WAVREAD_H */
+#endif /* AUBIO_SOURCE_WAVREAD_H */
Index: src/lvec.h
===================================================================
--- src/lvec.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/lvec.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO__LVEC_H
-#define _AUBIO__LVEC_H
+#ifndef AUBIO_LVEC_H
+#define AUBIO_LVEC_H
 
 #ifdef __cplusplus
@@ -116,3 +116,3 @@
 #endif
 
-#endif /* _AUBIO__LVEC_H */
+#endif /* AUBIO_LVEC_H */
Index: src/mathutils.h
===================================================================
--- src/mathutils.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/mathutils.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -28,6 +28,6 @@
  */
 
-#ifndef _AUBIO_MATHUTILS_H
-#define _AUBIO_MATHUTILS_H
+#ifndef AUBIO_MATHUTILS_H
+#define AUBIO_MATHUTILS_H
 
 #include "fvec.h"
@@ -314,3 +314,3 @@
 #endif
 
-#endif /* _AUBIO_MATHUTILS_H */
+#endif /* AUBIO_MATHUTILS_H */
Index: src/musicutils.h
===================================================================
--- src/musicutils.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/musicutils.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -23,6 +23,6 @@
  */
 
-#ifndef _AUBIO__MUSICUTILS_H
-#define _AUBIO__MUSICUTILS_H
+#ifndef AUBIO_MUSICUTILS_H
+#define AUBIO_MUSICUTILS_H
 
 #ifdef __cplusplus
@@ -161,3 +161,3 @@
 #endif
 
-#endif /* _AUBIO__MUSICUTILS_H */
+#endif /* AUBIO_MUSICUTILS_H */
Index: src/onset/onset.h
===================================================================
--- src/onset/onset.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/onset/onset.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -40,6 +40,6 @@
 
 
-#ifndef _AUBIO_ONSET_H
-#define _AUBIO_ONSET_H
+#ifndef AUBIO_ONSET_H
+#define AUBIO_ONSET_H
 
 #ifdef __cplusplus
@@ -286,3 +286,3 @@
 #endif
 
-#endif /* _AUBIO_ONSET_H */
+#endif /* AUBIO_ONSET_H */
Index: src/onset/peakpicker.h
===================================================================
--- src/onset/peakpicker.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/onset/peakpicker.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -27,6 +27,6 @@
 */
 
-#ifndef _AUBIO_PEAKPICK_H
-#define _AUBIO_PEAKPICK_H
+#ifndef AUBIO_PEAKPICK_H
+#define AUBIO_PEAKPICK_H
 
 #ifdef __cplusplus
@@ -55,3 +55,3 @@
 #endif
 
-#endif /* _AUBIO_PEAKPICK_H */
+#endif /* AUBIO_PEAKPICK_H */
Index: src/pitch/pitch.h
===================================================================
--- src/pitch/pitch.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitch.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_PITCH_H
-#define _AUBIO_PITCH_H
+#ifndef AUBIO_PITCH_H
+#define AUBIO_PITCH_H
 
 #ifdef __cplusplus
@@ -180,3 +180,3 @@
 #endif
 
-#endif /* _AUBIO_PITCH_H */
+#endif /* AUBIO_PITCH_H */
Index: src/pitch/pitchfcomb.h
===================================================================
--- src/pitch/pitchfcomb.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitchfcomb.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -35,6 +35,6 @@
 */
 
-#ifndef _AUBIO_PITCHFCOMB_H
-#define _AUBIO_PITCHFCOMB_H
+#ifndef AUBIO_PITCHFCOMB_H
+#define AUBIO_PITCHFCOMB_H
 
 #ifdef __cplusplus
@@ -74,3 +74,3 @@
 #endif
 
-#endif /* _AUBIO_PITCHFCOMB_H */
+#endif /* AUBIO_PITCHFCOMB_H */
Index: src/pitch/pitchmcomb.h
===================================================================
--- src/pitch/pitchmcomb.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitchmcomb.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -36,6 +36,6 @@
 */
 
-#ifndef _AUBIO_PITCHMCOMB_H
-#define _AUBIO_PITCHMCOMB_H
+#ifndef AUBIO_PITCHMCOMB_H
+#define AUBIO_PITCHMCOMB_H
 
 #ifdef __cplusplus
@@ -75,3 +75,3 @@
 #endif
 
-#endif /* _AUBIO_PITCHMCOMB_H */
+#endif /* AUBIO_PITCHMCOMB_H */
Index: src/pitch/pitchschmitt.h
===================================================================
--- src/pitch/pitchschmitt.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitchschmitt.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -35,6 +35,6 @@
 */
 
-#ifndef _AUBIO_PITCHSCHMITT_H
-#define _AUBIO_PITCHSCHMITT_H
+#ifndef AUBIO_PITCHSCHMITT_H
+#define AUBIO_PITCHSCHMITT_H
 
 #ifdef __cplusplus
@@ -73,4 +73,3 @@
 #endif
 
-#endif /* _AUBIO_PITCHSCHMITT_H */
-
+#endif /* AUBIO_PITCHSCHMITT_H */
Index: src/pitch/pitchspecacf.h
===================================================================
--- src/pitch/pitchspecacf.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitchspecacf.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -39,6 +39,6 @@
 */
 
-#ifndef _AUBIO_PITCHSPECACF_H
-#define _AUBIO_PITCHSPECACF_H
+#ifndef AUBIO_PITCHSPECACF_H
+#define AUBIO_PITCHSPECACF_H
 
 #ifdef __cplusplus
@@ -101,3 +101,3 @@
 #endif
 
-#endif /* _AUBIO_PITCHSPECACF_H */
+#endif /* AUBIO_PITCHSPECACF_H */
Index: src/pitch/pitchyin.h
===================================================================
--- src/pitch/pitchyin.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitchyin.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -36,6 +36,6 @@
 */
 
-#ifndef _AUBIO_PITCHYIN_H
-#define _AUBIO_PITCHYIN_H
+#ifndef AUBIO_PITCHYIN_H
+#define AUBIO_PITCHYIN_H
 
 #ifdef __cplusplus
@@ -98,3 +98,3 @@
 #endif
 
-#endif /* _AUBIO_PITCHYIN_H */
+#endif /* AUBIO_PITCHYIN_H */
Index: src/pitch/pitchyinfft.h
===================================================================
--- src/pitch/pitchyinfft.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/pitch/pitchyinfft.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -36,6 +36,6 @@
 */
 
-#ifndef _AUBIO_PITCHYINFFT_H
-#define _AUBIO_PITCHYINFFT_H
+#ifndef AUBIO_PITCHYINFFT_H
+#define AUBIO_PITCHYINFFT_H
 
 #ifdef __cplusplus
@@ -97,3 +97,3 @@
 #endif
 
-#endif /* _AUBIO_PITCHYINFFT_H */
+#endif /* AUBIO_PITCHYINFFT_H */
Index: src/spectral/fft.h
===================================================================
--- src/spectral/fft.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/fft.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -32,6 +32,6 @@
 */
 
-#ifndef _AUBIO_FFT_H
-#define _AUBIO_FFT_H
+#ifndef AUBIO_FFT_H
+#define AUBIO_FFT_H
 
 #ifdef __cplusplus
@@ -142,3 +142,3 @@
 #endif
 
-#endif /* _AUBIO_FFT_H */
+#endif /* AUBIO_FFT_H */
Index: src/spectral/filterbank.h
===================================================================
--- src/spectral/filterbank.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/filterbank.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -30,6 +30,6 @@
 */
 
-#ifndef _AUBIO_FILTERBANK_H
-#define _AUBIO_FILTERBANK_H
+#ifndef AUBIO_FILTERBANK_H
+#define AUBIO_FILTERBANK_H
 
 #ifdef __cplusplus
@@ -88,3 +88,3 @@
 #endif
 
-#endif /* _AUBIO_FILTERBANK_H */
+#endif /* AUBIO_FILTERBANK_H */
Index: src/spectral/filterbank_mel.h
===================================================================
--- src/spectral/filterbank_mel.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/filterbank_mel.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -32,6 +32,6 @@
 */
 
-#ifndef _AUBIO_FILTERBANK_MEL_H
-#define _AUBIO_FILTERBANK_MEL_H
+#ifndef AUBIO_FILTERBANK_MEL_H
+#define AUBIO_FILTERBANK_MEL_H
 
 #ifdef __cplusplus
@@ -70,3 +70,3 @@
 #endif
 
-#endif /* _AUBIO_FILTERBANK_MEL_H */
+#endif /* AUBIO_FILTERBANK_MEL_H */
Index: src/spectral/mfcc.h
===================================================================
--- src/spectral/mfcc.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/mfcc.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -35,6 +35,6 @@
 */
 
-#ifndef _AUBIO_MFCC_H
-#define _AUBIO_MFCC_H
+#ifndef AUBIO_MFCC_H
+#define AUBIO_MFCC_H
 
 #ifdef __cplusplus
@@ -77,3 +77,3 @@
 #endif
 
-#endif /* _AUBIO_MFCC_H */
+#endif /* AUBIO_MFCC_H */
Index: src/spectral/phasevoc.h
===================================================================
--- src/spectral/phasevoc.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/phasevoc.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -32,6 +32,6 @@
 */
 
-#ifndef _AUBIO_PHASEVOC_H
-#define _AUBIO_PHASEVOC_H
+#ifndef AUBIO_PHASEVOC_H
+#define AUBIO_PHASEVOC_H
 
 #ifdef __cplusplus
@@ -100,3 +100,3 @@
 #endif
 
-#endif /* _AUBIO_PHASEVOC_H */
+#endif /* AUBIO_PHASEVOC_H */
Index: src/spectral/specdesc.h
===================================================================
--- src/spectral/specdesc.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/specdesc.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -146,6 +146,6 @@
 
 
-#ifndef _AUBIO_SPECDESC_H
-#define _AUBIO_SPECDESC_H
+#ifndef AUBIO_SPECDESC_H
+#define AUBIO_SPECDESC_H
 
 #ifdef __cplusplus
@@ -192,3 +192,3 @@
 #endif
 
-#endif /* _AUBIO_SPECDESC_H */
+#endif /* AUBIO_SPECDESC_H */
Index: src/spectral/tss.h
===================================================================
--- src/spectral/tss.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/spectral/tss.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -37,6 +37,6 @@
 */
 
-#ifndef _AUBIO_TSS_H
-#define _AUBIO_TSS_H
+#ifndef AUBIO_TSS_H
+#define AUBIO_TSS_H
 
 #ifdef __cplusplus
@@ -101,3 +101,3 @@
 #endif
 
-#endif /* _AUBIO_TSS_H */
+#endif /* AUBIO_TSS_H */
Index: src/synth/sampler.h
===================================================================
--- src/synth/sampler.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/synth/sampler.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SAMPLER_H
-#define _AUBIO_SAMPLER_H
+#ifndef AUBIO_SAMPLER_H
+#define AUBIO_SAMPLER_H
 
 /** \file
@@ -138,3 +138,3 @@
 #endif
 
-#endif /* _AUBIO_SAMPLER_H */
+#endif /* AUBIO_SAMPLER_H */
Index: src/synth/wavetable.h
===================================================================
--- src/synth/wavetable.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/synth/wavetable.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_WAVETABLE_H
-#define _AUBIO_WAVETABLE_H
+#ifndef AUBIO_WAVETABLE_H
+#define AUBIO_WAVETABLE_H
 
 /** \file
@@ -176,3 +176,3 @@
 #endif
 
-#endif /* _AUBIO_WAVETABLE_H */
+#endif /* AUBIO_WAVETABLE_H */
Index: src/tempo/beattracking.h
===================================================================
--- src/tempo/beattracking.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/tempo/beattracking.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -37,6 +37,6 @@
 
 */
-#ifndef _AUBIO_BEATTRACKING_H
-#define _AUBIO_BEATTRACKING_H
+#ifndef AUBIO_BEATTRACKING_H
+#define AUBIO_BEATTRACKING_H
 
 #ifdef __cplusplus
@@ -119,3 +119,3 @@
 #endif
 
-#endif /* _AUBIO_BEATTRACKING_H */
+#endif /* AUBIO_BEATTRACKING_H */
Index: src/tempo/tempo.h
===================================================================
--- src/tempo/tempo.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/tempo/tempo.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -31,6 +31,6 @@
 */
 
-#ifndef _AUBIO_TEMPO_H
-#define _AUBIO_TEMPO_H
+#ifndef AUBIO_TEMPO_H
+#define AUBIO_TEMPO_H
 
 #ifdef __cplusplus
@@ -253,3 +253,3 @@
 #endif
 
-#endif /* _AUBIO_TEMPO_H */
+#endif /* AUBIO_TEMPO_H */
Index: src/temporal/a_weighting.h
===================================================================
--- src/temporal/a_weighting.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/temporal/a_weighting.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_FILTER_A_DESIGN_H
-#define _AUBIO_FILTER_A_DESIGN_H
+#ifndef AUBIO_FILTER_A_DESIGN_H
+#define AUBIO_FILTER_A_DESIGN_H
 
 /** \file
@@ -86,3 +86,3 @@
 #endif
 
-#endif /* _AUBIO_FILTER_A_DESIGN_H */
+#endif /* AUBIO_FILTER_A_DESIGN_H */
Index: src/temporal/biquad.h
===================================================================
--- src/temporal/biquad.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/temporal/biquad.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_FILTER_BIQUAD_H
-#define _AUBIO_FILTER_BIQUAD_H
+#ifndef AUBIO_FILTER_BIQUAD_H
+#define AUBIO_FILTER_BIQUAD_H
 
 /** \file
@@ -73,3 +73,3 @@
 #endif
 
-#endif /* _AUBIO_FILTER_BIQUAD_H */
+#endif /* AUBIO_FILTER_BIQUAD_H */
Index: src/temporal/c_weighting.h
===================================================================
--- src/temporal/c_weighting.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/temporal/c_weighting.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_FILTER_C_DESIGN_H
-#define _AUBIO_FILTER_C_DESIGN_H
+#ifndef AUBIO_FILTER_C_DESIGN_H
+#define AUBIO_FILTER_C_DESIGN_H
 
 /** \file
@@ -86,3 +86,3 @@
 #endif
 
-#endif /* _AUBIO_FILTER_C_DESIGN_H */
+#endif /* AUBIO_FILTER_C_DESIGN_H */
Index: src/temporal/filter.h
===================================================================
--- src/temporal/filter.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/temporal/filter.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_FILTER_H
-#define _AUBIO_FILTER_H
+#ifndef AUBIO_FILTER_H
+#define AUBIO_FILTER_H
 
 /** \file
@@ -174,3 +174,3 @@
 #endif
 
-#endif /* _AUBIO_FILTER_H */
+#endif /* AUBIO_FILTER_H */
Index: src/temporal/resampler.h
===================================================================
--- src/temporal/resampler.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/temporal/resampler.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_RESAMPLER_H
-#define _AUBIO_RESAMPLER_H
+#ifndef AUBIO_RESAMPLER_H
+#define AUBIO_RESAMPLER_H
 
 /** \file
@@ -63,3 +63,3 @@
 #endif
 
-#endif /* _AUBIO_RESAMPLER_H */
+#endif /* AUBIO_RESAMPLER_H */
Index: src/types.h
===================================================================
--- src/types.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/types.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO__TYPES_H
-#define _AUBIO__TYPES_H
+#ifndef AUBIO_TYPES_H
+#define AUBIO_TYPES_H
 
 /** \file
@@ -68,3 +68,3 @@
 #endif
 
-#endif /* _AUBIO__TYPES_H */
+#endif /* AUBIO_TYPES_H */
Index: src/utils/hist.h
===================================================================
--- src/utils/hist.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/utils/hist.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -26,6 +26,6 @@
  */
 
-#ifndef _AUBIO_HIST_H
-#define _AUBIO_HIST_H
+#ifndef AUBIO_HIST_H
+#define AUBIO_HIST_H
 
 #ifdef __cplusplus
@@ -61,3 +61,3 @@
 #endif
 
-#endif /* _AUBIO_HIST_H */
+#endif /* AUBIO_HIST_H */
Index: src/utils/parameter.h
===================================================================
--- src/utils/parameter.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/utils/parameter.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_PARAMETER_H
-#define _AUBIO_PARAMETER_H
+#ifndef AUBIO_PARAMETER_H
+#define AUBIO_PARAMETER_H
 
 /** \file
@@ -157,3 +157,3 @@
 #endif
 
-#endif /* _AUBIO_PARAMETER_H */
+#endif /* AUBIO_PARAMETER_H */
Index: src/utils/scale.h
===================================================================
--- src/utils/scale.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/utils/scale.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -29,6 +29,6 @@
 
 */
-#ifndef _AUBIO_SCALE_H
-#define _AUBIO_SCALE_H
+#ifndef AUBIO_SCALE_H
+#define AUBIO_SCALE_H
 
 #ifdef __cplusplus
@@ -78,3 +78,3 @@
 #endif
 
-#endif /* _AUBIO_SCALE_H */
+#endif /* AUBIO_SCALE_H */
Index: src/vecutils.h
===================================================================
--- src/vecutils.h	(revision d2be104ba64fa3254587479bcde2ba8bcacfdb8d)
+++ src/vecutils.h	(revision 6f42c16b317d2a7363ccddb2783b75c6720042f5)
@@ -25,6 +25,6 @@
  */
 
-#ifndef _AUBIO__VECUTILS_H
-#define _AUBIO__VECUTILS_H
+#ifndef AUBIO_VECUTILS_H
+#define AUBIO_VECUTILS_H
 
 #ifdef __cplusplus
@@ -114,3 +114,3 @@
 #endif
 
-#endif /* _AUBIO__VECUTILS_H */
+#endif /* AUBIO_VECUTILS_H */