Index: kefile.am
===================================================================
--- Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,45 +1,0 @@
-if DOCBOOKFOUND
-DOC = doc
-endif
-
-if SWIGFOUND
-SWIGDIR = swig
-if PYTHONFOUND
-PYTHONDIR = python
-endif
-endif
-
-ACLOCAL_AMFLAGS = -I m4
-
-SUBDIRS = src examples sounds $(PYTHONDIR) $(SWIGDIR) $(DOC) tests
-EXTRA_DIST = bootstrap VERSION
-
-docs:
-	cd doc && make update-docs && cd ..
-
-doc-devel:
-	cd doc && make doc-devel && cd ..
-
-doc-user:
-	cd doc && make doc-user && cd ..
-
-doc-examples:
-	cd doc && make doc-examples && cd ..
-
-install-pkgconfig:
-	$(mkinstalldirs) "$(DESTDIR)$(libdir)/pkgconfig"
-	$(INSTALL_DATA) aubio.pc "$(DESTDIR)$(libdir)/pkgconfig/aubio.pc"
-
-uninstall-pkgconfig:
-	$(RM) "$(DESTDIR)$(libdir)/pkgconfig/aubio.pc"
-	-rmdir "$(DESTDIR)$(libdir)/pkgconfig"
-
-install-data-hook: install-pkgconfig
-uninstall-hook: uninstall-pkgconfig
-
-lcov: all
-	mkdir -p $(top_builddir)/lcov
-	lcov --directory $(top_builddir) --output-file $(top_builddir)/lcov/aubio.info --compat-libtool --zerocounters
-	cd tests/python && ./run_all_tests -v || echo "some tests failed"
-	lcov --directory $(top_builddir) --output-file $(top_builddir)/lcov/aubio.info --compat-libtool --capture
-	genhtml --output-directory $(top_builddir)/lcov $(top_builddir)/lcov/aubio.info 
Index: otstrap
===================================================================
--- bootstrap	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/bin/sh
-
-autoreconf -f -i
Index: nfigure.ac
===================================================================
--- configure.ac	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,314 +1,0 @@
-dnl Process this file with autoconf to produce a configure script
-
-dnl Init autoconf
-AC_INIT(src/aubio.h)
-
-AC_CONFIG_MACRO_DIR([m4])
-
-dnl Package name and version
-PACKAGE=aubio
-. $srcdir/VERSION
-AUBIO_VERSION=${AUBIO_MAJOR_VERSION}.${AUBIO_MINOR_VERSION}.${AUBIO_PATCH_VERSION}${AUBIO_VERSION_STATUS}
-VERSION=${AUBIO_VERSION}
-
-dnl Shared library version
-SHARED_VERSION_INFO=${LIBAUBIO_LT_CUR}:${LIBAUBIO_LT_REV}:${LIBAUBIO_LT_AGE}
-AC_SUBST(SHARED_VERSION_INFO)
-
-dnl Init automake
-AM_INIT_AUTOMAKE(${PACKAGE}, ${VERSION})
-
-dnl Enable silent rules, use with make V=0 
-dnl AM_SILENT_RULES
-
-dnl Maintainer mode
-AM_MAINTAINER_MODE
-
-dnl Guess the host
-AC_CANONICAL_HOST
-
-dnl Check for programs
-AC_PROG_CC
-AM_PROG_CC_C_O dnl compiling with per-target flag 
-if test "$ac_cv_prog_cc" = "no" ; then
-   AC_MSG_ERROR([*** No C compiler found !])
-fi
-AC_PROG_INSTALL
-
-AUBIO_CFLAGS=
-
-AC_CHECK_LIB(m, floorf)
-AUBIO_LIBS="-lm"
-
-dnl Enable double precision (no)
-AC_ARG_ENABLE(double,
-  AC_HELP_STRING([--enable-double],[compile in double precision [[default=no]]]),
-  with_double_precision="yes",
-  with_double_precision="no")
-if test "$with_double_precision" = "yes"
-then
-  AC_DEFINE(HAVE_AUBIO_DOUBLE,1,[Define to enable double precision])
-fi
-
-dnl Enable debugging (no)
-AC_ARG_ENABLE(debug,
-  AC_HELP_STRING([--enable-debug],[compile in debug mode [[default=no]]]),
-  with_debug="yes",
-  with_debug="no")
-if test "$with_debug" = "yes"
-then
-  AC_DEFINE(DEBUG,1,[Define to enable debug])
-  AUBIO_CFLAGS="$AUBIO_CFLAGS -g"
-fi
-
-dnl Enable full warnings (yes)
-AC_ARG_ENABLE(warnings,
-  AC_HELP_STRING([--enable-warnings],[compile with all gcc warnings [[default=yes]]]),
-  with_warnme="no",
-  with_warnme="yes")
-if test "$with_warnme" = "yes"
-then
-  dnl Check for -Wextra support to allow compilation on gcc <= 3.4
-  AC_CACHE_CHECK([for -Wextra option to $CC], ac_cv_cc_wextra, 
-  [old_CFLAGS="$CFLAGS"
-  CFLAGS="$CFLAGS -Wextra"
-  AC_COMPILE_IFELSE([void foo (void) {}],
-          ac_cv_cc_wextra=yes, ac_cv_cc_wextra=no)
-  CFLAGS="$old_CFLAGS"
-  ])
-  if test "$ac_cv_cc_wextra" = "yes"
-  then
-    AUBIO_CFLAGS="$AUBIO_CFLAGS -Wall -Wextra"
-  else 
-    AUBIO_CFLAGS="$AUBIO_CFLAGS -Wall"
-  fi
-fi
-
-dnl fail on compilation warnings 
-AC_ARG_ENABLE(errorfail,
-  AC_HELP_STRING([--enable-errorfail],[fail on compilation warnings [[default=no]]]),
-  AUBIO_CFLAGS="$AUBIO_CFLAGS -Werror -Wmissing-prototypes -Wmissing-declarations -Wno-unused-parameter",
-  with_errorfail="no")
-
-dnl add gcov/lcov profiling and coverage flags
-AC_ARG_ENABLE(lcov,
-  AC_HELP_STRING([--enable-lcov],[compile with gcov/lcov profiling flags [[default=no]]]),
-  AUBIO_CFLAGS="$AUBIO_CFLAGS -fprofile-arcs -ftest-coverage",
-  with_lcov="no")
-
-dnl Check for libtool
-AC_LIBTOOL_DLOPEN
-dnl AC_DISABLE_STATIC
-dnl allow cross compiling
-AC_LIBTOOL_WIN32_DLL
-AC_PROG_LIBTOOL
-
-AC_CONFIG_HEADERS(src/config.h)
-AC_CONFIG_FILES(aubio.pc)
-
-AM_CONDITIONAL(MINGW, false)
-AM_CONDITIONAL(DARWIN, false)
-case "${host}" in
-*mingw* | *cygwin*)
-  mingw32_support="yes"
-  AC_CHECK_HEADER(windows.h)
-  AM_CONDITIONAL(MINGW, true)
-  LDFLAGS="$LDFLAGS -no-undefined"
-  ;;
-*darwin* | *rhapsody* | *macosx*)
-  AC_ISC_POSIX
-  AM_CONDITIONAL(DARWIN, true)
-  ;;
-*)
-  AC_ISC_POSIX
-  ;;
-esac
-
-dnl Check for required libraries
-AC_CHECK_LIB(pthread, pthread_create)
-
-dnl Check for header files
-AC_CHECK_HEADERS([string.h stdlib.h stdio.h math.h limits.h errno.h stdarg.h unistd.h signal.h],,)
-AC_ARG_ENABLE(complex,
-  AC_HELP_STRING([--enable-complex],[compile with complex.h [[default=auto]]]),
-  [with_complex=$enableval],
-  with_complex="no")
-if test "$with_complex" = "yes"; then
-  AC_CHECK_HEADERS(complex.h,,AC_MSG_WARN([Ouch! missing complex.h header]))
-fi
-
-dnl Check for __VAR_ARGS__ support
-AC_CACHE_CHECK(for C99 __VA_ARGS__ macro,
-    ac_cv_varargs_macros,
-AC_TRY_COMPILE([
-  #include <stdio.h>
-  #define AUBIO_ERR(...)                       fprintf(stderr, __VA_ARGS__)
-],
-[
-  AUBIO_ERR("%s\n", "ERR");
-],
-        ac_cv_varargs_macros=yes,
-        ac_cv_varargs_macros=no)
-)
-if test "$ac_cv_varargs_macros" = "yes"; then
-    AC_DEFINE(HAVE_C99_VARARGS_MACROS, 1,
-            [Defined when c99 style varargs macros are supported])
-fi
-
-AC_ARG_ENABLE(sndfile,
-  AC_HELP_STRING([--enable-sndfile],[compile with sndfile [[default=auto]]]),
-  [with_sndfile=$enableval],
-  with_sndfile="yes")
-if test "$with_sndfile" = "yes"; then
-  PKG_CHECK_MODULES(SNDFILE, sndfile >= 1.0.4, HAVE_SNDFILE=1, HAVE_SNDFILE=0)
-  if test "${HAVE_SNDFILE}" = "1"; then
-    AC_DEFINE(HAVE_SNDFILE,1,[Define to enable libsndfile support])
-  fi
-fi
-
-dnl Enable samplerate support (auto)
-AC_ARG_ENABLE(samplerate,
-  AC_HELP_STRING([--enable-samplerate],[compile with samplerate [[default=auto]]]),
-  [with_samplerate=$enableval],
-  with_samplerate="yes")
-if test "$with_samplerate" = "yes"; then
-  PKG_CHECK_MODULES(SAMPLERATE, samplerate  >= 0.0.15,  HAVE_SAMPLERATE=1,
-                    HAVE_SAMPLERATE=0)
-  if test "${HAVE_SAMPLERATE}" = "1"; then
-    AC_DEFINE(HAVE_SAMPLERATE,1,[Define to enable libsamplerate support])
-  fi
-fi
-
-dnl Check for fftw3 (required)
-dnl if we compile in double precsion, default to fftw3, else fftw3f
-
-AC_ARG_ENABLE(fftw3,
-  AC_HELP_STRING([--enable-fftw3],[compile with fftw3 [[default=auto]]]),
-  [with_fftw3=$enableval],
-  with_fftw3="yes")
-
-if test "$with_double_precision" = "yes"; then
-    default_fftw3f="no"
-else
-    default_fftw3f=$with_fftw3
-fi
-
-AC_ARG_ENABLE(fftw3f,
-  AC_HELP_STRING([--enable-fftw3f],[compile with fftw3f [[default=auto]]]),
-  [with_fftw3f=$enableval],
-  [with_fftw3f=$default_fftw3f])
-
-# check if we have fftw3f
-if test "$with_fftw3f" = "yes"; then
-  PKG_CHECK_MODULES(FFTWLIB,    fftw3f >= 3.0.0,     HAVE_FFTW3F=1, HAVE_FFTW3F=0)
-else
-# check if we have fftw3
-if test "$with_fftw3" = "yes"; then
-  PKG_CHECK_MODULES(FFTWLIB,    fftw3  >= 3.0.0,     HAVE_FFTW3=1, HAVE_FFTW3=0)
-fi
-fi
-
-if test "${HAVE_FFTW3}" = "1"; then
-  AC_DEFINE(HAVE_FFTW3,1,[Define to enable fftw3 support])
-fi
-if test "${HAVE_FFTW3F}" = "1"; then
-  AC_DEFINE(HAVE_FFTW3,1,[Define to enable fftw3 support])
-  AC_DEFINE(HAVE_FFTW3F,1,[Define to enable fftw3f support])
-fi
-
-dnl Enable jack support (auto)
-AC_ARG_ENABLE(jack,
-  AC_HELP_STRING([--enable-jack],[compile with jack [[default=auto]]]),
-  [with_jack=$enableval],
-  with_jack="yes")
-if test "$with_jack" = "yes"
-then
-  PKG_CHECK_MODULES(JACK,       jack  >= 0.15.0,     HAVE_JACK=1, HAVE_JACK=0)
-  if test "${HAVE_JACK}" = "1"; then
-    AC_DEFINE(HAVE_JACK,1,[Define to enable jack support])
-  fi
-fi
-
-dnl Enable lash support
-AC_ARG_ENABLE(lash,
-  AC_HELP_STRING([--enable-lash],[compile with lash [[default=auto]]]),
-  [with_lash=$enableval],
-  with_lash="yes")
-if test "$with_lash" = "yes"
-then
-  PKG_CHECK_MODULES(LASH,   lash-1.0 >= 0.5.0,   HAVE_LASH=1, HAVE_LASH=0)
-  if test "${HAVE_LASH}" = "1"; then
-    AC_DEFINE(HAVE_LASH,1,[Define to enable lash support])
-  fi
-fi
-  
-dnl Enable unit tests 
-AC_ARG_ENABLE(testprogs,
-  AC_HELP_STRING([--enable-testprogs],[compile test programs [[default=yes]]]),
-  [with_testprogs=$enableval],
-  with_testprogs="yes")
-AM_CONDITIONAL(COMPILE_TESTS,test "${with_testprogs}" != "no")
-
-AC_SUBST(AUBIO_CFLAGS)
-AC_SUBST(AUBIO_LIBS)
-
-dnl Check for swig and python
-dnl should check for swig version and python headers
-AC_PATH_PROG(SWIG,swig,no)
-AM_CONDITIONAL(SWIGFOUND, test "${SWIG}" != "no")
-AM_PATH_PYTHON
-AM_CONDITIONAL(PYTHONFOUND, test "${PYTHON}" != "no")
-
-dnl Check for docbook-to-man
-AC_PATH_PROG(DOCBOOK_TO_MAN,docbook-to-man,no)
-AM_CONDITIONAL(DOCBOOKFOUND, test "${DOCBOOK_TO_MAN}" != "no")
-
-dnl Create Makefiles
-AC_OUTPUT([
-    Makefile
-    src/Makefile
-    examples/Makefile
-    tests/Makefile
-    tests/src/Makefile
-    sounds/Makefile
-    swig/Makefile
-    python/Makefile
-    python/aubio/Makefile
-    doc/Makefile
-  ])
-
-dnl Print summary
-echo
-echo "**************************************************************"
-echo "Summary:"
-if test "${HAVE_FFTW3F}" = "1"; then
-  echo "FFT:                     using fftw3f"
-else
-if test "${HAVE_FFTW3}" = "1"; then
-  echo "Fft:                     using fftw3"
-else
-  echo "Fft:                     using ooura"
-fi
-fi
-if test "${HAVE_SNDFILE}" = "1"; then
-  echo "Libsndfile:              yes"
-else
-  echo "Libsndfile:              no"
-fi
-if test "${HAVE_SAMPLERATE}" = "1"; then
-  echo "Libsamplerate:           yes"
-else
-  echo "Libsamplerate:           no"
-fi
-if test "${HAVE_JACK}" = "1"; then
-  echo "JACK:                    yes"
-else
-  echo "JACK:                    no"
-fi
-if test "${HAVE_LASH}" = "1"; then
-  echo "Lash:                    yes"
-else
-  echo "Lash:                    no"
-fi
-echo "**************************************************************"
-echo Configuration completed successfully. Type \'make\' to build ${PACKAGE}
Index: c/Makefile.am
===================================================================
--- doc/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,52 +1,0 @@
-man_MANS = \
-	aubionotes.1 \
-	aubioonset.1 \
-	aubiocut.1 \
-	aubiopitch.1 \
-	aubiotrack.1 \
-	aubiomfcc.1
-
-EXTRA_DIST = \
-	devel.cfg \
-	examples.cfg \
-	user.cfg \
-	aubio.css \
-	aubionotes.sgml \
-	aubioonset.sgml \
-	aubiotrack.sgml \
-	aubiomfcc.sgml \
-	aubiopitch.sgml \
-	aubiocut.sgml \
-	$(man_MANS)
-
-CLEANFILES = $(man_MANS)
-
-all: 
-
-update-docs: doc-devel
-
-doc-clean:
-	-rm -rf devel
-
-PROJECT_NUMBER = `source $(top_srcdir)/VERSION; echo $$AUBIO_MAJOR_VERSION.$$AUBIO_MINOR_VERSION.$$AUBIO_PATCH_VERSION$$AUBIO_VERSION_STATUS`
-maintainer-clean-local: doc-clean
-
-doc-devel: 
-	(echo PROJECT_NUMBER = $(PROJECT_NUMBER) ; cat $(srcdir)/devel.cfg)	| doxygen -
-
-doc-user: 
-	(echo PROJECT_NUMBER = $(PROJECT_NUMBER) ; cat $(srcdir)/user.cfg)	| doxygen -
-
-doc-examples: 
-	(echo PROJECT_NUMBER = $(PROJECT_NUMBER) ; cat $(srcdir)/examples.cfg)	| doxygen -
-
-.sgml.1:
-	docbook-to-man $< > $*.1
-
-.sgml.html:
-	docbook2html $< && mv index.html $*.html
-
-clean:
-	rm -rf devel user examples
-
-distclean-hook: clean
Index: amples/Makefile.am
===================================================================
--- examples/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,32 +1,0 @@
-# global flags
-AM_CFLAGS = -DAUBIO_PREFIX=\"$(prefix)\" -DPACKAGE=\"@PACKAGE@\" -I$(top_srcdir)/src @AUBIO_CFLAGS@ @LASH_CFLAGS@ @SNDFILE_CFLAGS@ @JACK_CFLAGS@
-AM_LDFLAGS = -L$(top_builddir)/src -laubio @AUBIO_LIBS@ @LASH_LIBS@
-
-# add your programs to this list
-bin_PROGRAMS = \
-	aubioonset \
-	aubiotrack \
-	aubionotes \
-	aubiomfcc
-
-noinst_PROGRAMS = \
-	aubiopitch \
-	aubioquiet
-
-EXTRA_DIST = utils.h sndfileio.h jackio.h
-
-# optionally add sources file for these programs
-COMMON_SOURCE_FILES = sndfileio.c jackio.c utils.c
-aubioonset_SOURCES = aubioonset.c $(COMMON_SOURCE_FILES)
-aubionotes_SOURCES = aubionotes.c $(COMMON_SOURCE_FILES)
-aubiotrack_SOURCES = aubiotrack.c $(COMMON_SOURCE_FILES)
-aubiopitch_SOURCES = aubiopitch.c $(COMMON_SOURCE_FILES)
-aubioquiet_SOURCES = aubioquiet.c $(COMMON_SOURCE_FILES)
-aubiomfcc_SOURCES = aubiomfcc.c $(COMMON_SOURCE_FILES)
-
-aubioonset_LDADD = @SNDFILE_LIBS@ @JACK_LIBS@
-aubionotes_LDADD = @SNDFILE_LIBS@ @JACK_LIBS@
-aubiotrack_LDADD = @SNDFILE_LIBS@ @JACK_LIBS@
-aubiopitch_LDADD = @SNDFILE_LIBS@ @JACK_LIBS@
-aubioquiet_LDADD = @SNDFILE_LIBS@ @JACK_LIBS@
-aubiomfcc_LDADD = @SNDFILE_LIBS@ @JACK_LIBS@
Index: thon/Makefile.am
===================================================================
--- python/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,5 +1,0 @@
-EXTRA_DIST = README 
-SUBDIRS = aubio
-dist_bin_SCRIPTS = aubiocut aubiopitch
-dist_noinst_SCRIPTS = aubiocompare-onset aubioplot-notes \
-	aubiofilter-notes aubionotes aubiocompare-onset aubioweb.py
Index: thon/aubio/Makefile.am
===================================================================
--- python/aubio/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,66 +1,0 @@
-nobase_pkgpython_PYTHON = \
-	__init__.py \
-	onsetcompare.py \
-	gnuplot.py \
-	median.py \
-	txtfile.py \
-	aubioclass.py \
-	task/__init__.py \
-	task/params.py \
-	task/onset.py \
-	task/silence.py \
-	task/cut.py \
-	task/beat.py \
-	task/task.py \
-	task/pitch.py \
-	task/notes.py \
-	bench/__init__.py \
-	bench/broadcast.py \
-	bench/config.py \
-	bench/node.py \
-	bench/onset.py \
-	plot/__init__.py \
-	plot/keyboard.py \
-	web/__init__.py \
-	web/browser.py \
-	web/html.py
-
-nodist_pkgpython_PYTHON = aubiowrapper.py _aubiowrapper.so
-
-_aubiowrapper.so: _aubiowrapper.la
-
-if MINGW
-SWLDFLAGS = -L${prefix}/bin -lpython${PYTHON_VERSION}
-else
-if DARWIN
-SWLDFLAGS = -bundle -framework Python
-else
-SWLDFLAGS = -shared
-endif
-endif
-
-CLEANFILES = *.pyc *.so *.o aubio_wrap.c aubiowrapper.py 
-
-NOWARN_CFLAGS = -Wno-missing-prototypes -Wno-missing-declarations \
-	-Wno-strict-aliasing
-
-AM_CFLAGS = @AUBIO_CFLAGS@ @SNDFILE_CFLAGS@ \
-	$(NOWARN_CFLAGS) $(SWCFLAGS) \
-	-I$(top_builddir)/src -I$(top_srcdir)/src \
-	-I$(top_srcdir)/examples \
-	-I/usr/include/python${PYTHON_VERSION} \
-	-I${prefix}/include/python${PYTHON_VERSION} \
-	-I/usr/include \
-	-I${prefix}/include
-
-AUBIO_LDFLAGS = $(SWLDFLAGS) \
-	@SNDFILE_LIBS@ \
-	-L$(top_builddir)/src -laubio
-
-pkgpyexec_LTLIBRARIES = _aubiowrapper.la
-
-_aubiowrapper_la_LDFLAGS = -module -avoid-version $(AUBIO_LDFLAGS) 
-_aubiowrapper_la_SOURCES = aubio_wrap.c $(top_srcdir)/examples/sndfileio.c
-
-aubio_wrap.c aubiowrapper.py:
-	$(SWIG) -outdir . -o aubio_wrap.c -python $(top_srcdir)/swig/aubio.i
Index: unds/Makefile.am
===================================================================
--- sounds/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,5 +1,0 @@
-soundsdir = $(datadir)/sounds/aubio
-
-sounds_DATA = woodblock.aiff
-
-EXTRA_DIST = $(sounds_DATA)
Index: c/Makefile.am
===================================================================
--- src/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,78 +1,0 @@
-noinst_HEADERS = \
-	aubio_priv.h
-
-nobase_pkginclude_HEADERS = \
-	aubio.h \
-	types.h \
-	fvec.h \
-	fmat.h \
-	lvec.h \
-	cvec.h \
-	musicutils.h \
-	mathutils.h \
-	vecutils.h \
-	utils/hist.h \
-	utils/scale.h \
-	temporal/resampler.h \
-	temporal/biquad.h \
-	temporal/filter.h \
-	temporal/a_weighting.h \
-	temporal/c_weighting.h \
-	spectral/filterbank.h \
-	spectral/filterbank_mel.h \
-	spectral/mfcc.h \
-	spectral/phasevoc.h \
-	spectral/fft.h \
-	spectral/tss.h \
-	spectral/specdesc.h \
-	pitch/pitch.h \
-	pitch/pitchmcomb.h \
-	pitch/pitchyin.h \
-	pitch/pitchschmitt.h \
-	pitch/pitchfcomb.h \
-	pitch/pitchyinfft.h \
-	onset/onset.h \
-	onset/peakpicker.h \
-	tempo/tempo.h \
-	tempo/beattracking.h
-
-nodist_noinst_HEADERS = config.h
-
-lib_LTLIBRARIES = libaubio.la 
-libaubio_la_SOURCES = \
-	fvec.c \
-	fmat.c \
-	lvec.c \
-	cvec.c \
-	mathutils.c \
-	vecutils.c \
-	utils/hist.c \
-	utils/scale.c \
-	temporal/resampler.c \
-	temporal/biquad.c \
-	temporal/filter.c \
-	temporal/a_weighting.c \
-	temporal/c_weighting.c \
-	spectral/filterbank.c \
-	spectral/filterbank_mel.c \
-	spectral/mfcc.c \
-	spectral/phasevoc.c \
-	spectral/fft.c \
-	spectral/ooura_fft8g.c \
-	spectral/tss.c \
-	spectral/specdesc.c \
-	spectral/statistics.c \
-	pitch/pitch.c \
-	pitch/pitchmcomb.c \
-	pitch/pitchyin.c \
-	pitch/pitchschmitt.c \
-	pitch/pitchfcomb.c \
-	pitch/pitchyinfft.c \
-	onset/onset.c \
-	onset/peakpicker.c \
-	tempo/tempo.c \
-	tempo/beattracking.c
-
-AM_CFLAGS = @AUBIO_CFLAGS@ @FFTWLIB_CFLAGS@ @SAMPLERATE_CFLAGS@
-libaubio_la_LIBADD = @FFTWLIB_LIBS@ @SAMPLERATE_LIBS@ @LTLIBOBJS@
-libaubio_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
Index: ig/Makefile.am
===================================================================
--- swig/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,2 +1,0 @@
-# see ../python/Makefile.am
-EXTRA_DIST = aubio.i
Index: sts/Makefile.am
===================================================================
--- tests/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,3 +1,0 @@
-if COMPILE_TESTS 
-SUBDIRS = src
-endif
Index: sts/demo/bench/onset/Makefile.am
===================================================================
--- tests/demo/bench/onset/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,44 +1,0 @@
-export BASEDIR=../../../..
-export PYTHONPATH=$(BASEDIR)/python
-export LD_LIBRARY_PATH=$(BASEDIR)/src/.libs:$(BASEDIR)/ext/.libs
-
-DETAILSOURCE = \
-	/var/tmp/Onset-Mirex2005/poly_pitched \
-	/var/tmp/Onset-Mirex2005/solo_bars_and_bells \
-	/var/tmp/Onset-Mirex2005/solo_brass \
-	/var/tmp/Onset-Mirex2005/solo_drums \
-	/var/tmp/Onset-Mirex2005/solo_plucked_strings \
-	/var/tmp/Onset-Mirex2005/solo_singing_voice \
-	/var/tmp/Onset-Mirex2005/solo_sustained_strings \
-	/var/tmp/Onset-Mirex2005/solo_winds \
-	/var/tmp/Onset-Mirex2005/complex
-
-SOURCE = /var/tmp/Onset-Mirex2005
-
-TESTSOURCE = \
-	/var/tmp/Onset-Mirex2005/solo_bars_and_bells \
-	/var/tmp/Onset-Mirex2005/solo_winds \
-	/archives/samples/DB/PercussivePhrases/CM18/Samba_Audio
-
-test-aubiocut:            $(patsubst %, %.aubiocut,    $(TESTSOURCE))
-test-aubiodelay:          $(patsubst %, %.aubiodelay,  $(TESTSOURCE))
-test-aubiowindow:         $(patsubst %, %.aubiowindow, $(TESTSOURCE))
-
-final-aubiocut:           $(patsubst %, %.aubiocut,    $(DETAILSOURCE) $(SOURCE))
-final-aubiodelay:         $(patsubst %, %.aubiodelay,  $(SOURCE))
-final-aubiowindow:        $(patsubst %, %.aubiowindow, $(SOURCE))
-
-%.aubiocut: %
-	rm -f `basename $@`
-	./bench-onset $< | tee `basename $@`
-	-diff `basename $@`.ref `basename $@`
-
-%.aubiodelay: %
-	rm -f `basename $@`
-	./bench-delay $< | tee `basename $@`
-	-diff `basename $@`.ref `basename $@`
-
-%.aubiowindow: %
-	rm -f `basename $@`
-	./bench-window $< | tee `basename $@`
-	-diff `basename $@`.ref `basename $@`
Index: sts/demo/bench/pitch/Makefile.am
===================================================================
--- tests/demo/bench/pitch/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,59 +1,0 @@
-export AUBIODIR=../../../..
-export PYTHONPATH=$(AUBIODIR)/python
-export LD_LIBRARY_PATH=$(AUBIODIR)/src/.libs:$(AUBIODIR)/ext/.libs
-
-CP=cp -a
-
-SOURCE = \
-	$(BASEDIR)/isolated/vibraphone \
-	$(BASEDIR)/isolated/clavinet \
-	$(BASEDIR)/isolated/elecguitar \
-	$(BASEDIR)/isolated/piano \
-	$(BASEDIR)/isolated/rhodes \
-	$(BASEDIR)/isolated
-
-
-MONOSOURCE = \
-	$(BASEDIR)/monophonic/Mirex04/daisy \
-	$(BASEDIR)/monophonic/Mirex04/midi \
-	$(BASEDIR)/monophonic/Mirex04/jazz \
-	$(BASEDIR)/monophonic/Mirex04/pop \
-	$(BASEDIR)/monophonic/Mirex04/opera \
-	$(BASEDIR)/monophonic/Mirex04
-
-POLYSOURCE = \
-	$(BASEDIR)/polyphonic/Mirex04/daisy \
-	$(BASEDIR)/polyphonic/Mirex04/midi \
-	$(BASEDIR)/polyphonic/Mirex04/jazz \
-	$(BASEDIR)/polyphonic/Mirex04/pop \
-	$(BASEDIR)/polyphonic/Mirex04/opera \
-	$(BASEDIR)/polyphonic/Mirex04
-
-test-aubiopitch-isolated:    $(patsubst %, %.aubiopitch-isolated, $(SOURCE))
-test-aubiopitch-monophonic:  $(patsubst %, %.aubiopitch-monophonic, $(MONOSOURCE))
-test-aubiopitch-polyphonic:  $(patsubst %, %.aubiopitch-polyphonic, $(POLYSOURCE))
-
-plotpitch:
-	../../../aubiopitch -m fcomb,mcomb,yinfft,yin,schmitt -i jazz2REF.wav -p -t 0.2 -l 100 -M 600 -O jazz2REF.ps
-	../../../aubiopitch -m fcomb,mcomb,yinfft,yin,schmitt -p -t 0.2 -l 300 -M 900 -i opera_fem2REF.wav -O opera_fem2REF.ps
-
-timings:
-	./bench-timings $(BASEDIR)/polyphonic/Mirex04/opera
-
-%.aubiopitch-isolated: %
-	$(CP) isolated/`basename $@` isolated/`basename $@`.old
-	./bench-pitch-isolated $< | tee isolated/`basename $@`
-	-diff isolated/`basename $@`.old isolated/`basename $@`
-	-diff isolated/`basename $@`.ref isolated/`basename $@`
-
-%.aubiopitch-monophonic: %
-	$(CP) monophonic/`basename $@` monophonic/`basename $@`.old
-	./bench-pitch-monophonic $< | tee monophonic/`basename $@`
-	-diff monophonic/`basename $@`.ref monophonic/`basename $@`
-	-diff monophonic/`basename $@`.old monophonic/`basename $@`
-
-%.aubiopitch-polyphonic: %
-	$(CP) polyphonic/`basename $@` polyphonic/`basename $@`.old
-	./bench-pitch-polyphonic $< | tee polyphonic/`basename $@`
-	-diff polyphonic/`basename $@`.ref polyphonic/`basename $@`
-	-diff polyphonic/`basename $@`.old polyphonic/`basename $@`
Index: sts/src/Makefile.am
===================================================================
--- tests/src/Makefile.am	(revision ba00fd7ff8e8f875d44b5aa91d6f60a42f7d641a)
+++ 	(revision )
@@ -1,42 +1,0 @@
-AM_CFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/examples
-AM_LDFLAGS = -L$(top_builddir)/src -laubio @FFTWLIB_LIBS@
-
-spectral_test_phasevoc_jack_CFLAGS = $(AM_CFLAGS) @JACK_CFLAGS@
-spectral_test_phasevoc_jack_LDADD  = $(AM_LDFLAGS) @JACK_LIBS@ 
-
-noinst_PROGRAMS = \
-  test-fvec \
-  test-cvec \
-  test-mathutils \
-  test-mathutils-window \
-  pitch/test-pitchyin \
-  pitch/test-pitchyinfft \
-  pitch/test-pitch \
-  pitch/test-pitchmcomb \
-  pitch/test-pitchfcomb \
-  pitch/test-pitchschmitt \
-  temporal/test-cweighting \
-  temporal/test-resampler \
-  temporal/test-filter \
-  temporal/test-biquad \
-  temporal/test-aweighting \
-  onset/test-peakpicker \
-  onset/test-onset \
-  tempo/test-tempo \
-  tempo/test-beattracking \
-  spectral/test-fft \
-  spectral/test-specdesc \
-  spectral/test-phasevoc \
-  spectral/test-phasevoc-jack \
-  spectral/test-tss \
-  spectral/test-filterbank \
-  spectral/test-filterbank_mel \
-  spectral/test-mfcc \
-  utils/test-scale \
-  utils/test-hist
-
-run-tests: $(noinst_PROGRAMS)
-	@for i in $(noinst_PROGRAMS); do echo -n $$i\ ; ./$$i > /dev/null && echo OK || echo FAILED: $$?; done
-
-run-valgrind-tests: $(noinst_PROGRAMS)
-	@for i in $(noinst_PROGRAMS); do echo $$i; valgrind .libs/lt-$$i 2>&1 | grep ERROR\ SUMMARY -A4; echo $$?; done